package com.bsoft.api.mapper;

import com.bsoft.api.model.SerDisease;
import com.bsoft.api.model.respmodel.DiseaseLevel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SerDiseaseMapper {

    int deleteByPrimaryKey(Long id);

    int insert(SerDisease record);

    SerDisease selectByPrimaryKey(Long id);

    SerDisease selectByCode(String code,String date);

    List<SerDisease> selectAll();

    List<SerDisease> selectByMdcName(@Param("date") String date,@Param("mdcName") String mdcName);

    List<DiseaseLevel> selectByLevel(@Param("date") String date,@Param("level") Integer level);

    List<DiseaseLevel> selectByParentId(@Param("date") String date,@Param("parentId") Integer parentId);

    DiseaseLevel selectParentById(@Param("date") String date, @Param("diseaseId") Integer diseaseId);

    List<DiseaseLevel> selectSonById(@Param("date") String date, @Param("diseaseId") Integer diseaseId);

    int updateByPrimaryKey(SerDisease record);

}
